theWord
https://forum.theword.net/

MacOS Catalina - Don't upgrade if using Wine to run theWord
https://forum.theword.net/viewtopic.php?f=11&t=8126
Page 1 of 1

Author:  csbrown [ Wed Jul 24, 2019 10:48 am ]
Post subject:  MacOS Catalina - Don't upgrade if using Wine to run theWord

If you are using Wine to run theWord on a Mac then avoid the upgrade to Catalina when it is released in the autumn.
Catalina will on run 64bit apps and the MS windows emulator (Wine) is only available in 32bit.

I am currently running theWord on MacOS Mojave and it runs very well under Wine using PlayOnMac for configuration.
I'm planning to stay with this until a 64bit version of Wine is released, which will not be soon.

Author:  Warty [ Sun Jul 28, 2019 3:30 am ]
Post subject:  Re: MacOS Catalina - Don't upgrade if using Wine to run theW

csbrown wrote:
If you are using Wine to run theWord on a Mac then avoid the upgrade to Catalina when it is released in the autumn.
Catalina will on run 64bit apps and the MS windows emulator (Wine) is only available in 32bit.

I am currently running theWord on macOS Mojave and it runs very well under Wine using PlayOnMac for configuration.
I'm planning to stay with this until a 64bit version of Wine is released, which will not be soon.



I am running The Word 4 on MacOS 10.14.6 Mojave AND XQuartz X11 2.7.11 without any problem (although on startup the OS says that The Word is not optimised). Is XQuartz X11 the same as the Wine mentioned by csbrown above?

Author:  isjacob [ Wed Oct 09, 2019 9:40 am ]
Post subject:  Re: MacOS Catalina - Don't upgrade if using Wine to run theW

FYI, WineBottler is moving to 64bit now. Yet, Wine provides only a wrapper and I don't think the 32bit theWord can run on MacOS Catalina with 64bit Wine. I hope that Costas could move theWord to 64bit soon.

Author:  Nicof [ Tue Oct 29, 2019 12:09 pm ]
Post subject:  Re: MacOS Catalina - Don't upgrade if using Wine to run theW

So what do we do in the mean time ? Is it not possible to write a version for mac without having to use Wine to run theWord ? This very disappointing!

Author:  csbrown [ Sat Nov 02, 2019 7:21 pm ]
Post subject:  Re: MacOS Catalina - Don't upgrade if using Wine to run theW

Best option currently is to stay on MacOS Mojave, if you haven't already upgraded.
Looks like Codeweavers are working hard on a solution for their Crossover product (based on wine) to be able to run both 32 and 64 bit Windows apps in MacOS Catalina.
https://www.codeweavers.com/about/blogs ... ber-3-2019

I'm keeping a close eye on that and will try it out when they release something for MacOS Catalina

Author:  jonathangkoehn [ Thu Mar 12, 2020 11:16 pm ]
Post subject:  Re: MacOS Catalina - Don't upgrade if using Wine to run theW

This may be interesting
https://www.codeweavers.com/products/more-information/changelog

19.0.1 CrossOver - January 14, 2020
Core Technology Improvements:
Recently updated Microsoft Office installers broke installs; this is now fixed.
.NET now passes the verifier test in 64 bit bottles.
Corrected a build issue with FAudio. This eliminates a warning, and may help some games.
macOS:
Added a utility to repair bottles if an anti virus program has damaged them.
In 19.0.0, on versions of macOS prior to 10.13, applications that relied on gnutls would fail. Notably, that included .NET. That should now be fixed.
19.0.0 CrossOver - December 10, 2019
macOS:
CrossOver will now run 32 bit applications on macOS Catalina (10.15).
Core Technology Improvements:
CrossOver 19 includes Wine 4.12-1, with 5,000 improvements, and selected patches from recent Wine with benefits to particular applications such as Microsoft Office.
An update to FAudio 19.10 with many audio improvements.
CrossOver now uses Python3.

Page 1 of 1 All times are UTC + 2 hours
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/